# Uses of Enum
org.apache.avro.SchemaCompatibility.SchemaIncompatibilityType

Packages that use SchemaCompatibility.SchemaIncompatibilityType
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaCompatibility.SchemaIncompatibilityType in org.apache.avro

Methods in org.apache.avro that return SchemaCompatibility.SchemaIncompatibilityType
Modifier and Type
Method
Description
`SchemaCompatibility.SchemaIncompatibilityType`
SchemaCompatibility.Incompatibility.`getType()`
Returns the SchemaIncompatibilityType.
`static SchemaCompatibility.SchemaIncompatibilityType`
SchemaCompatibility.SchemaIncompatibilityType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SchemaCompatibility.SchemaIncompatibilityType[]`
SchemaCompatibility.SchemaIncompatibilityType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro with parameters of type SchemaCompatibility.SchemaIncompatibilityType
Modifier and Type
Method
Description
`static SchemaCompatibility.SchemaCompatibilityResult`
SchemaCompatibility.SchemaCompatibilityResult.`incompatible(SchemaCompatibility.SchemaIncompatibilityType incompatibilityType, Schema readerFragment, Schema writerFragment, String message, List<String> location)`
Returns a details object representing an incompatible schema pair, including error details.